IOMega JAZ/ZIP tool(1)

NAME

jaztool, ziptool - Tool for IOMega JAZ and ZIP drives

SYNOPSIS

jaztool <option> <device> [mountdir]
ziptool <option> <device> [mountdir]

DESCRIPTION

Disk write-protection is done by software for IOMega's JAZ and ZIP drives. jaztool and ziptool make these features available for Linux. Before performing any protection mode changes, it is checked that <device> is actually a JAZ or ZIP drive and that no partition of the inserted disk is currently mounted.

OPTIONS

-e  Eject media.

-p  Spin down drive.

-ro Make disk read-only. If the current mode is protected by a password, you will be prompted for it.

-rp Make disk read-only and protect with a password. The maximum length of a password is 33 characters.

WARNING: Do not forget the password! Otherwise you will have to reformat the disk in order to remove write-protection.

-rw Remove any protection from the disk. If the current mode is protected by a password, you are prompted for it.

-ld Lock the drive door so the disk cannot be ejected (drive must be mounted).

-ud Unlock the drive door

-m  Mount the <device> on [mountdir], then lock the door (like -ld).

-u  Unmount the <device>.

-s  Get the current protection status, supported modes are; unprotected, write-protected, and password write-protected

--help Print (this) help message and exit.

--version Print version information and exit.

BUGS

Changing password if the disk is password write-protected is currently not supported. If you want to change the password now you first have to remove protection from the disk or put it into the write protected mode and after that switch it back to password write-protected mode.

Not all protection modes offered by the JAZ and ZIP drives can be supported under Linux (i.e. password read and write-protected mode).

AUTHOR

Code clean up, -p option, pedantics, bugfixes, and typographical corrections by
Tara Milana (learfox@furry.ao.net) 09/25/2002

Mirko Kraft (Mirko.Kraft@ixos.de)

Modified Slightly to Support 2GB Drives, and -m -u -ld -ud features by
Aaron Segura (aaronsegura@netscape.net) 09/25/99

ziptool is based on the great work of
Grant R. Guenther (grant@torque.net) and
Itai Nahshon.

jaztool was originally written by
Bob Willmot (bwillmot@cnct.com, http://www.cnct.com/~bwillmot).